# PSF-LoginServer - master - net.psforever.packet.crypto.ClientChallengeXchg
PSF - LoginServer - master - net.psforever.packet.crypto.ClientChallengeXchg
Keywords: PSF LoginServer master net.psforever.packet.crypto.ClientChallengeXchg

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package crypto
  Definition Classes
    packet
- ClientChallengeXchg
- ClientFinished
- ServerChallengeXchg
- ServerFinished

c

net.psforever.packet.crypto

# ClientChallengeXchg 

###
Companion object ClientChallengeXchg

#### final case class ClientChallengeXchg(time: Long, challenge: ByteVector, p: ByteVector, g: ByteVector) extends PlanetSideCryptoPacket with Product with Serializable

Source
  ClientChallengeXchg.scala

Linear Supertypes
Product, Equals, PlanetSideCryptoPacket, PlanetSidePacket, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ClientChallengeXchg
2. Product
3. Equals
4. PlanetSideCryptoPacket
5. PlanetSidePacket
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ClientChallengeXchg(time: Long, challenge: ByteVector, p: ByteVector, g: ByteVector)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val challenge: ByteVector
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  def encode: Attempt[BitVector]
   Definition Classes
     ClientChallengeXchg → PlanetSidePacket
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  val g: ByteVector
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def opcode: Type
    Definition Classes
      ClientChallengeXchg → PlanetSideCryptoPacket → PlanetSidePacket
17.  val p: ByteVector
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  val time: Long
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Product

### Inherited from Equals

### Inherited from PlanetSideCryptoPacket

### Inherited from PlanetSidePacket

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped